Subject: bug#24741: closed (Re: bug#24741: 25.1.50; Buffer encoding corrupted up by 'make' in shell-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Dec 2016 20:30:05 +0000

Your bug report

#24741: 25.1.50; Buffer encoding corrupted up by 'make' in shell-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24741: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24741
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24741: 25.1.50; Buffer encoding corrupted up by 'make' in shell-mode
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 07 Dec 2016 15:29:42 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii wrote:

> Start Emacs with "emacs -Q", then try reproducing the problem by doing
> whatever you do when the problem normally happens.
>
> If "emacs -Q" lacks some optional features and custom settings of
> certain variables, load those features and customize those variables
> as part of the recipe (i.e. record everything you need to do starting
> from "emacs -Q" until you are able to run the commands that produce
> the problematic output).
>
> Then post here the full recipe for reproducing the problem, including
> everything you have recorded on the way.
[...]
> This is already dead wrong on Windows, especially setting the default
> encodings to UTF-8.  It cannot possibly work well on Windows.  And you
> shouldn't need this.
>
> What happens if you remove these and try again -- does the problem
> still appear?
>
> Where did you get your Bash, your make.exe, and your Python?  If they
> are from the MSYS2 project, the only customization of coding-systems
> you may need is of process-coding-system-alist.  If you do that, make
> sure the encoding is still your system codepage, and only the decoding
> part is UTF-8.  That's because the encoding is used to encode the
> command-line arguments, and you certainly don't want them to be
> encoded in UTF-8 on Windows, because this is unsupported.

No further reponse, closing.
Possibly a bit soon, so feel free to reopen.

Subject: 25.1.50; Buffer encoding corrupted up by 'make' in shell-mode
From: John Wiegley <[email-masked]>
To: [email-masked]
Cc: Simon Peyton Jones <[email-masked]>
Date: Wed, 19 Oct 2016 10:32:36 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I have a friend who is using Emacs 24.5 on Windows, and who is experiencing a
strange behavior: Unicode quotes display properly, but after *invoking* a
'make' command -- even with its output fully redirected to a file -- buffer
decoding begins to fail, causing later quotes to be display as escape codes.

I'm attaching a screenshot from his machine, to show the behavior:

Note that in a fresh shell, cat'ing the saved file (test-output) does NOT mess
up the quotes. So it's a mysterious side-effect of calling 'make'. Also,
saying 'make xxxx' where xxxx is not a valid target, produces the appropriate
error message and does not mess up the quotes.

Any ideas?

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2